Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorEepromData Class Reference
CameraDevice

Interface used to get EEPROM data. More...

`#include <SensorEepromData.h>`

Inheritance diagram for Argus::Ext::ISensorEepromData:

List of all members.

## Public Member Functions
virtual uint32_t | getSensorEepromDataSize () const =0
| Returns the size of the EEPROM data.
virtual Status | getSensorEepromData (void *dst, uint32_t size) const =0
| Copies back the EEPROM data to the provided memory location.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorEepromData ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to get EEPROM data.

Definition at line 62 of file SensorEepromData.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorEepromData::~ISensorEepromData | ( |  | ) |
| inline protected

Definition at line 83 of file SensorEepromData.h.

## Member Function Documentation

virtual Status Argus::Ext::ISensorEepromData::getSensorEepromData | ( | void * | dst,
|  | uint32_t | size
| ) |  | const
| pure virtual

Copies back the EEPROM data to the provided memory location.

If the size of dst is smaller than the total size of the EEPROM data, only the first bytes up to size are copied.

Parameters:

  [out] | dst | The pointer to the location where the data will be copied. The caller is responsible for allocating and managing the memory.
  [in] | size | The size of the destination.

virtual uint32_t Argus::Ext::ISensorEepromData::getSensorEepromDataSize | ( |  | ) | const
| pure virtual

Returns the size of the EEPROM data.

static const InterfaceID& Argus::Ext::ISensorEepromData::id | ( |  | ) |
| inline static

Definition at line 65 of file SensorEepromData.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorEepromData.h